All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.olaptableview
Class BaseOLAPTableView

    com.sas.servlet.tbeans.olaptableview.BaseOLAPTableView

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.collection.ContentsChangedListener, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, ComplexStyleInterface, com.sas.servlet.tbeans.features.FeatureListInterface, HttpConstants, BaseNavigationInterface, ColumnNavigationInterface, RowNavigationInterface, RenderableInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, AccurateRowCountInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable, java.util.EventListener, javax.swing.SwingConstants

Direct Known Subclasses:
  OLAPTableView

    @SASScope(value="ALL")
    public abstract class BaseOLAPTableView

implements com.sas.collection.ContentsChangedListener, BaseNavigationInterface

The BaseOLAPTableView is an abstract TransformationBean™

See Also:
  Serialized Form

Field Summary
`protected boolean` | `rolap` For internal use only

Fields inherited from class com.sas.servlet.tbeans.tableview.AbstractBaseTableView
`DEFAULT_EXPORT_NUMERIC_CUSTOM_FORMATED_VALUES_AS_TEXT, MISSING_STYLEINFO, WRAP_ALL, WRAP_NONE, WRAP_PER_COLUMN`

Fields inherited from interface com.sas.servlet.tbeans.HttpConstants
`ALL, BASELINE, CHAR, COL, COLGROUP, JUSTIFY, MULTIPLE, NONE, ROW, ROWGROUP, SINGLE`

Constructor Summary
`BaseOLAPTableView()` Default Constructor

Method Summary
`boolean` | `columnNumbersAreValid()` Returns whether or not the current start column and end column values are valid given the state of the model.
`void` | `contentsChanged(com.sas.collection.ContentsChangedEvent cce)` Listens for ContentsChange Events from the Action Provider and update the number of rows/columns accordingly.
`int` | `getColumnCount()` Returns the total available columns.
`OLAPDataSetInterface` | `getModel()` Returns the viewer's model.
`int` | `getRowCount()` Returns the total available rows
`void` | `gotoColumn(int column)` Navigates to the given column.
`void` | `gotoRow(int row)` Navigates to the given row.
`void` | `initialize()` Initializes the OLAPTableView Object.
`void` | `initializeColumnNumbers()` This method is called when the number of columns needs to be reset to start at column 1.
`void` | `initializeRowNumbers()` This method is called when the number of rows needs to be reset to start at row 1.
`boolean` | `isAccurateRowCountAvailable()` Indicates whether an accurate row count is available.
`boolean` | `isGotoColumnSupported()` Determines whether navigation to any given column is supported.
`boolean` | `isGotoRowSupported()` Determines whether navigation to any given row is supported.
`boolean` | `rowNumbersAreValid()` Returns whether or not the current start row and end row values are valid given the state of the model.
`void` | `setActionProvider(HttpActionProvider actionProvider)` Sets the ActionProvider object
`void` | `setModel(OLAPDataSetInterface model)` Sets the model on the viewer.
`java.lang.String` | `toString()` Returns a string representation of this transformation bean.

Methods inherited from class com.sas.servlet.tbeans.tableview.AbstractBaseTableView
`addFeature, addMoveMenu, firstColumn, firstRow, getBorderWidth, getCaption, getCellPadding, getCellSpacing, getColumnPageSize, getColumnScrollSize, getEndColumn, getEndRow, getFormName, getHorizontalAlignment, getRowPageSize, getRulesContext, getStartColumn, getStartRow, getStyleMap, getSummary, getTextWrapping, getWidth, getWidthPercentage, isAllActionsVisible, isColumnHeaderVisible, isColumnsResizable, isFirstColumnSupported, isFirstRowSupported, isLastColumnSupported, isLastRowSupported, isNextColumnSupported, isNextRowSupported, isPageBackwardColumnsSupported, isPageBackwardRowsSupported, isPageForwardColumnsSupported, isPageForwardRowsSupported, isPreviousColumnSupported, isPreviousRowSupported, isRowHeaderVisible, lastColumn, lastRow, nextColumn, nextRow, pageBackwardColumns, pageBackwardRows, pageForwardColumns, pageForwardRows, previousColumn, previousRow, removeLastBorder, setAllActionsVisible, setBorderWidth, setCaption, setCellPadding, setCellSpacing, setColumnHeaderVisible, setColumnPageSize, setColumnsResizable, setEndColumn, setEndRow, setHorizontalAlignment, setPageSize, setRowHeaderVisible, setRowPageSize, setRulesContext, setStartColumn, setStartRow, setSummary, setTextWrapping, setWidth, setWidthPercentage, writeColumnHeader, writeColumnHeader, writeColumnHeader, writeEmptyTable, writeEmptyTable, writeEmptyTable, writeFeatures, writeRows, writeRows, writeRows, writeTableFooter, writeTableFooter, writeTableFooter, writeTableHeader, writeTableHeader, writeTableHeader, writeTableTFoot`

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getActionProvider, getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.URLTemplateViewInterface
`getURLTemplate, setURLTemplate`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Field Detail

### rolap

    protected boolean rolap

  For internal use only

Constructor Detail

### BaseOLAPTableView

    public BaseOLAPTableView()

  Default Constructor

Method Detail

### setModel

    public void setModel(OLAPDataSetInterface model)

  Sets the model on the viewer.

  Parameters:
    `model` - an instance of the OLAPDataSetInterface

### getModel

    public OLAPDataSetInterface getModel()

  Returns the viewer's model.

  Returns:
    an OLAPDataSetInterface model

### contentsChanged

    public void contentsChanged(com.sas.collection.ContentsChangedEvent cce)

  Listens for ContentsChange Events from the Action Provider and update the number of rows/columns accordingly.

  Specified by:
    `contentsChanged` in interface `com.sas.collection.ContentsChangedListener`
  Parameters:
    `cce` - ContentChangedEvent.

### rowNumbersAreValid

    public boolean rowNumbersAreValid()
                               throws OLAPException

  Returns whether or not the current start row and end row values are valid given the state of the model.

  Returns:
    true if start row and end row settings are valid false otherwise.
  Throws:
    `OLAPException`

### columnNumbersAreValid

    public boolean columnNumbersAreValid()
                                  throws OLAPException

  Returns whether or not the current start column and end column values are valid given the state of the model.

  Returns:
    true if start column and end column settings are valid false otherwise.
  Throws:
    `OLAPException`

### toString

    public java.lang.String toString()

  Description copied from class: `BaseTransformation`
  Returns a string representation of this transformation bean. A new StringWriter will be created and the write(PrintWriter) method will be invoked. The contents of the StringWriter will be returned, which will contain the output from the Transaction Bean.

  Note that the toString() method on this class and subclasses calls the `write` method, which may have undesirable side effects. The request and response objects are set to null, and these objects are often necessary for the proper functioning of the subsequest `write` method. Actions on the ActionProvider will not work. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

  Overrides:
    `toString` in class `BaseTransformation`
  Returns:
    A string representation of the object

### initialize

    public void initialize()

  Initializes the OLAPTableView Object. This method should be called any time the model is initialized.

  Specified by:
    `initialize` in class `AbstractBaseTableView`

### initializeRowNumbers

    public void initializeRowNumbers()

  This method is called when the number of rows needs to be reset to start at row 1. The developmer should not have to call this method, unless actions are being taken on the model directly, bypassing the command processor.

### initializeColumnNumbers

    public void initializeColumnNumbers()

  This method is called when the number of columns needs to be reset to start at column 1. The developmer should not have to call this method, unless actions are being taken on the model directly, bypassing the command processor.

### getColumnCount

    public int getColumnCount()

  Returns the total available columns. This method should only be called if the developer is implementing their own scrolling capabilities and not using the default scrolling capabilities.

  Specified by:
    `getColumnCount` in interface `ColumnNavigationInterface`
  Specified by:
    `getColumnCount` in class `AbstractBaseTableView`
  Returns:
    total available columns

### getRowCount

    public int getRowCount()

  Returns the total available rows

  Specified by:
    `getRowCount` in interface `RowNavigationInterface`
  Specified by:
    `getRowCount` in class `AbstractBaseTableView`
  Returns:
    total available rows

### isAccurateRowCountAvailable

    public boolean isAccurateRowCountAvailable()

  Indicates whether an accurate row count is available.

  Specified by:
    `isAccurateRowCountAvailable` in interface `AccurateRowCountInterface`
  Specified by:
    `isAccurateRowCountAvailable` in class `AbstractBaseTableView`
  Returns:
    true if an accurate row count is available, false otherwise.

### setActionProvider

    public void setActionProvider(HttpActionProvider actionProvider)

  Sets the ActionProvider object

  Specified by:
    `setActionProvider` in interface `HttpActionProviderInterface`
  Overrides:
    `setActionProvider` in class `BaseActionTransformation`
  Parameters:
    `ActionProvider` - object
  See Also:
    `HttpActionProviderInterface.getActionProvider()`

### isGotoRowSupported

    public boolean isGotoRowSupported()

  Determines whether navigation to any given row is supported. Returns true if scrolling forward and backward are supported.

  Specified by:
    `isGotoRowSupported` in interface `RowNavigationInterface`
  Overrides:
    `isGotoRowSupported` in class `AbstractBaseTableView`
  Returns:
    true if navigation to any given row is supported
  See Also:
    `AbstractBaseTableView.gotoRow(int)`

### gotoRow

    public void gotoRow(int row)

  Navigates to the given row.

  Specified by:
    `gotoRow` in interface `RowNavigationInterface`
  Overrides:
    `gotoRow` in class `AbstractBaseTableView`
  Parameters:
    `row` - the row index
  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isGotoRowSupported() returns false
  See Also:
    `isGotoRowSupported()`

### isGotoColumnSupported

    public boolean isGotoColumnSupported()

  Determines whether navigation to any given column is supported. Returns true if scrolling forward and backward is supported.

  Specified by:
    `isGotoColumnSupported` in interface `ColumnNavigationInterface`
  Overrides:
    `isGotoColumnSupported` in class `AbstractBaseTableView`
  Returns:
    true if navigation to any given column is supported
  See Also:
    `AbstractBaseTableView.gotoColumn(int)`

### gotoColumn

    public void gotoColumn(int column)

  Navigates to the given column.

  Specified by:
    `gotoColumn` in interface `ColumnNavigationInterface`
  Overrides:
    `gotoColumn` in class `AbstractBaseTableView`
  Parameters:
    `column` - the column index
  Throws:
    `java.lang.UnsupportedOperationException` - Thrown if isGotoColumnSupported() returns false
  See Also:
    `isGotoColumnSupported()`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.